package com.bootdo.data.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 重要数据表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-02-27 17:27:36
 */
public class DataInfoDO implements Serializable {
    private static final long serialVersionUID = 1L;

    //
    private Long id;
    // 数据来源
    private String dataSource;
    // 数据名称
    private String dataName;
    // 数据级别:01终验数据 02 核心数据
    private String dataLevel;
    // 数据类别
    private String dataType;
    // 其它数据类别
    private String otherType;
    // 数组子类
    private String dataSub;
    // 二级子类
    private String dataAdjSub;
    // 数据规模
    private String dataScope;
    // 数据目的
    private String dataResult;
    // 数据存储位置
    private String dataLocation;
    // 数据范围
    private String dataRange;
    // 负责人(管理部门或责任人)
    private String dataRuler;
    // 对外共享(范围 内容)
    private String shareRange;
    // 跨境传输(范围 内容)
    private String crossRange;
    // 安全保护措施
    private String dataSafety;
    // 备注
    private String dataDesc;
    // 状态 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
    private String dataStatus;
    // 数据上传者
    private String uploadUser;
    // 数据上传者ID
    private String uploadUserid;
    // 上传时间
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date uploadTime;
    // 修改时间
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 设置：
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置：数据来源
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    /**
     * 获取：数据来源
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 设置：数据名称
     */
    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    /**
     * 获取：数据名称
     */
    public String getDataName() {
        return dataName;
    }

    /**
     * 设置：数据级别:01终验数据 02 核心数据
     */
    public void setDataLevel(String dataLevel) {
        this.dataLevel = dataLevel;
    }

    /**
     * 获取：数据级别:01终验数据 02 核心数据
     */
    public String getDataLevel() {
        return dataLevel;
    }

    /**
     * 设置：数据类别
     */
    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    /**
     * 获取：数据类别
     */
    public String getDataType() {
        return dataType;
    }

    /**
     * 设置：数组子类
     */
    public void setDataSub(String dataSub) {
        this.dataSub = dataSub;
    }

    /**
     * 获取：数组子类
     */
    public String getDataSub() {
        return dataSub;
    }

    /**
     * 设置：二级子类
     */
    public void setDataAdjSub(String dataAdjSub) {
        this.dataAdjSub = dataAdjSub;
    }

    /**
     * 获取：二级子类
     */
    public String getDataAdjSub() {
        return dataAdjSub;
    }

    /**
     * 设置：数据规模
     */
    public void setDataScope(String dataScope) {
        this.dataScope = dataScope;
    }

    /**
     * 获取：数据规模
     */
    public String getDataScope() {
        return dataScope;
    }

    /**
     * 设置：数据目的
     */
    public void setDataResult(String dataResult) {
        this.dataResult = dataResult;
    }

    /**
     * 获取：数据目的
     */
    public String getDataResult() {
        return dataResult;
    }

    /**
     * 设置：数据存储位置
     */
    public void setDataLocation(String dataLocation) {
        this.dataLocation = dataLocation;
    }

    /**
     * 获取：数据存储位置
     */
    public String getDataLocation() {
        return dataLocation;
    }

    /**
     * 设置：数据范围
     */
    public void setDataRange(String dataRange) {
        this.dataRange = dataRange;
    }

    /**
     * 获取：数据范围
     */
    public String getDataRange() {
        return dataRange;
    }

    /**
     * 设置：负责人(管理部门或责任人)
     */
    public void setDataRuler(String dataRuler) {
        this.dataRuler = dataRuler;
    }

    /**
     * 获取：负责人(管理部门或责任人)
     */
    public String getDataRuler() {
        return dataRuler;
    }

    /**
     * 设置：对外共享(范围 内容)
     */
    public void setShareRange(String shareRange) {
        this.shareRange = shareRange;
    }

    /**
     * 获取：对外共享(范围 内容)
     */
    public String getShareRange() {
        return shareRange;
    }

    /**
     * 设置：跨境传输(范围 内容)
     */
    public void setCrossRange(String crossRange) {
        this.crossRange = crossRange;
    }

    /**
     * 获取：跨境传输(范围 内容)
     */
    public String getCrossRange() {
        return crossRange;
    }

    /**
     * 设置：安全保护措施
     */
    public void setDataSafety(String dataSafety) {
        this.dataSafety = dataSafety;
    }

    /**
     * 获取：安全保护措施
     */
    public String getDataSafety() {
        return dataSafety;
    }

    /**
     * 设置：备注
     */
    public void setDataDesc(String dataDesc) {
        this.dataDesc = dataDesc;
    }

    /**
     * 获取：备注
     */
    public String getDataDesc() {
        return dataDesc;
    }

    /**
     * 设置：状态 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
     */
    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    /**
     * 获取：状态 0:正常 1:删除 2:已上报 3:通过审核 4:驳回
     */
    public String getDataStatus() {
        return dataStatus;
    }

    /**
     * 设置：数据上传者
     */
    public void setUploadUser(String uploadUser) {
        this.uploadUser = uploadUser;
    }

    /**
     * 获取：数据上传者
     */
    public String getUploadUser() {
        return uploadUser;
    }

    /**
     * 设置：数据上传者ID
     */
    public void setUploadUserid(String uploadUserid) {
        this.uploadUserid = uploadUserid;
    }

    /**
     * 获取：数据上传者ID
     */
    public String getUploadUserid() {
        return uploadUserid;
    }

    /**
     * 设置：上传时间
     */
    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    /**
     * 获取：上传时间
     */
    public Date getUploadTime() {
        return uploadTime;
    }

    /**
     * 设置：修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    public String getOtherType() {
        return otherType;
    }

    public void setOtherType(String otherType) {
        this.otherType = otherType;
    }

    @Override
    public String toString() {
        return "DataInfoDO{" + "id=" + id + ", dataSource='" + dataSource + '\'' + ", dataName='" + dataName + '\''
            + ", dataLevel='" + dataLevel + '\'' + ", dataType='" + dataType + '\'' + ", otherType='" + otherType + '\''
            + ", dataSub='" + dataSub + '\'' + ", dataAdjSub='" + dataAdjSub + '\'' + ", dataScope='" + dataScope + '\''
            + ", dataResult='" + dataResult + '\'' + ", dataLocation='" + dataLocation + '\'' + ", dataRange='"
            + dataRange + '\'' + ", dataRuler='" + dataRuler + '\'' + ", shareRange='" + shareRange + '\''
            + ", crossRange='" + crossRange + '\'' + ", dataSafety='" + dataSafety + '\'' + ", dataDesc='" + dataDesc
            + '\'' + ", dataStatus='" + dataStatus + '\'' + ", uploadUser='" + uploadUser + '\'' + ", uploadUserid='"
            + uploadUserid + '\'' + ", uploadTime=" + uploadTime + ", updateTime=" + updateTime + '}';
    }
}
